@ECHO OFF
CLS
ECHO #
ECHO ##  PRODEFA2 CLPRODEF batch command file.
ECHO #
REM
ECHO #                                          >CLPRODEF.LOG
ECHO ##  PRODEFA2 CLPRODEF batch command file. >>CLPRODEF.LOG
ECHO #   RMFORT FORTRAN version 2.45.          >>CLPRODEF.LOG            
ECHO #                                         >>CLPRODEF.LOG
GOTO START
REM 
REM  ***************** \MINTEQA2\CLPRODEF.BAT *******************
REM  *                                                          *
REM  *        Author: D.W. Disney, Computer Scientist           *
REM  *                Computer Sciences Corporation             *
REM  *          Date: Tuesday, 6 August 1991.  Time: 11:24:02.  *
REM  *   Environment: IBM PS/2 Model 80 under DOS 3.30          *
REM  *  Installation: Computer Sciences Corporation             *
REM  *                U.S. Environmental Protection Agency      *
REM  *                Athens ERL - Athens, Georgia              *
REM  *      Function: To complile and link all FORTRAN 77       *
REM  *                source code *.FOR and include files       *
REM  *                (*.INC) PRODEFA2 model version 3.01.      *
REM  *      Calling                                             *
REM  *      Sequence: CLPRODEF                                  *
REM  *         Input: None                                      *
REM  *                                                          *
REM  ************************************************************
REM
REM **************************************************************
REM *         Maintenance History - \MINTEQA2\CLPRODEF.BAT       *
REM *------------------------------------------------------------*
REM *                                                            *
REM *  1) Initial coding                                         *
REM *     Date: Tuesday, 6 August 1991.  Time: 11:19:03.         *
REM *                                                            *
REM **************************************************************
REM *                                                            *
REM *  Compile and link the PRODEFA2 model under Ryan-McFarland  *
REM *  FORTRAN (RMFORT) compiler and PLINK86 Plus link editor.   *
REM *                                                            *
REM *       Program     Version                                  *
REM *       -------     -------                                  *
REM *       RMFORT  -   2.45                                     *
REM *       PLINK86 -   2.24                                     *
REM *       PC DOS  -   3.30                                     *
REM *                                                            *
REM *  Author: D W Disney - 09/01/88 - CSC for US EPA            *
REM *                                                            *
REM **************************************************************
REM *  \MINTEQA2\CLPRODEF.BAT                                    *
REM *------------------------------------------------------------*
REM *  The program assumes that                                  *
REM *                                                            *
REM *       1)  All RMFORT commands and files are stored in the  *
REM *           root sub-directory \RMFORT on drive F:.          *
REM *       2)  All PLINK86 Plus commands and files are in the   *
REM *           root sub-directory \PLINK on drive D:.           *
REM *       3)  All PRODEFA2 commands should be in the root sub- *
REM *           directory \MINTEQA2.                             *
REM *       4)  All PRODEFA2 source code and source code include *
REM *           files are stored in the \MINTEQA2 sub-directory  *
REM *           PRODCODE.                                        *
REM *       5)  The compile (CLPRODEF.BAT) and link edit command *
REM *           file (PRODEFA2.LNK) are stored in the root       *
REM *           sub-directory \MINTEQA2.                         * 
REM *       6)  The PRODEFA2 object code files (*.OBJ) are in the*
REM *           \MINTEQA2 sub-directory PROD_OBJ.                *
REM *                                                            *
REM **************************************************************
REM *                                                            *
REM *  Ryan-McFarland compiler switches (version 2.45).          *
REM *                                                            *
REM *  /B - Assume adjustable and assumed size arrays gt 64k     *
REM *  /D - Compile debug source code lines                      *
REM *  /E - Generate listing with error and warning lines only   *
REM *  /H - Dummy arrays lt 64k are stored in more than 1 segment*
REM *  /I - I2 for integer; I4 is the default                    *
REM *  /N - Generate calls to the emulator library               *
REM *  /Q - Suppress generation of individual program summaries  *
REM *  /U - Suppress object module file generation               *
REM *  /Z - Suppress code optimization                           *
REM *                                                            *
REM *  Ryan-McFarland execution command (version 2.45)           *
REM *                                                            *
REM *  progname [/R n] [/SEUFM]                                  *
REM *                                                            *
REM *  /SEUFM - Suppress display of certain underflow messages   * 
REM *                                                            *
REM **************************************************************
REM
:START
REM
ECHO #
ECHO ##  Setting system environment for RMFORT and PLINK.
ECHO #
REM
SET OBJ=
SET LIB=
SET TMP=
SET PROFORT=
SET INCLUDE=
REM PATH C:.;C:\;C:\PLINK;C:\RMFORT
SET \RMFORT.CER=F:\RMFORT\RMFORT.CER
SET \RMFORT.ERR=F:\RMFORT\RMFORT.ERR
REM
CLS
ECHO #
ECHO ##  Cleaning up extra work files...wait.
ECHO #
IF EXIST PRODEFA2.MAP DEL PRODEFA2.MAP >NUL
IF EXIST PRODEFA2.EXE DEL PRODEFA2.EXE >NUL
REM IF EXIST        *.LST DEL        *.LST >NUL
REM
IF NOT EXIST PROD_OBJ\NUL MKDIR PROD_OBJ >NUL
REM
IF "%1"=="Y" GOTO YESDEL
IF "%1"=="y" GOTO YESDEL
IF "%1"=="N" GOTO NODEL
IF "%1"=="n" GOTO NODEL
SET ANSWER=
ANSWER     Delete existing PRODEFA2 program object files (*.OBJ)? (Y/N) 
IF "%ANSWER%"=="N" GOTO NODEL
IF "%ANSWER%"=="n" GOTO NODEL
IF "%ANSWER%"==""  GOTO NODEL
:YESDEL
IF EXIST PROD_OBJ\*.OBJ DEL PROD_OBJ\*.OBJ >NUL
IF EXIST          *.OBJ DEL          *.OBJ >NUL
:NODEL
SET ANSWER=
REM
CLS
VERIFY OFF
BREAK ON
ECHO #
ECHO ##  Ready to begin PRODEFA2 compilation and link edit.
ECHO #   Press "<Ctrl> <P>" if you wish to echo the results to printer.
ECHO #
ECHO #   Press the "<Enter>" key to continue.
REM PAUSE >NUL
CLS
REM
ECHO #
ECHO ##  Coping all INCLUDE source code files to \MINTEQA2 directory.
ECHO #
COPY PRODCODE\*.INC /V >NUL
CLS
REM
ECHO #
ECHO ##  Compile for PRODEFA2 in progress with Ryan-McFarland FORTRAN.
ECHO #
REM
ECHO #                                                        >>CLPRODEF.LOG
ECHO ##  PRODEFA2 CLPRODEF batch command file begin execution.>>CLPRODEF.LOG
ECHO #                                                        >>CLPRODEF.LOG
ECHO #                                                        >>CLPRODEF.LOG
ECHO ##  Start date and time.                                 >>CLPRODEF.LOG
ECHO #                                                        >>CLPRODEF.LOG
ECHO # -------- DATE ---------                                >>CLPRODEF.LOG
ECHO #                                                        >>CLPRODEF.LOG
DATE <RETURN1.ANS |FIND "C"                                   >>CLPRODEF.LOG
ECHO #                                                        >>CLPRODEF.LOG
ECHO # -------- TIME ---------                                >>CLPRODEF.LOG
ECHO #                                                        >>CLPRODEF.LOG
TIME <RETURN1.ANS |FIND "C"                                   >>CLPRODEF.LOG
ECHO #                                                        >>CLPRODEF.LOG
ECHO # -----------------------                                >>CLPRODEF.LOG
ECHO #                                                        >>CLPRODEF.LOG
CLS
@ECHO ON
IF NOT EXIST PROD_OBJ\PRODEFA2.OBJ RMFORT \MINTEQA2\PRODCODE\PRODEFA2 /BNZE >>CLPRODEF.LOG
IF NOT EXIST PROD_OBJ\CHM4LIB.OBJ  RMFORT \MINTEQA2\PRODCODE\CHM4LIB  /BNZE >>CLPRODEF.LOG
IF NOT EXIST PROD_OBJ\CHM3LIB.OBJ  RMFORT \MINTEQA2\PRODCODE\CHM3LIB  /BNZE >>CLPRODEF.LOG
IF NOT EXIST PROD_OBJ\IOLIB.OBJ    RMFORT \MINTEQA2\PRODCODE\IOLIB    /BNZE >>CLPRODEF.LOG
IF NOT EXIST PROD_OBJ\EDITLVL1.OBJ RMFORT \MINTEQA2\PRODCODE\EDITLVL1 /BNZE >>CLPRODEF.LOG
IF NOT EXIST PROD_OBJ\EDITLVL2.OBJ RMFORT \MINTEQA2\PRODCODE\EDITLVL2 /BNZE >>CLPRODEF.LOG
IF NOT EXIST PROD_OBJ\EDITLVL3.OBJ RMFORT \MINTEQA2\PRODCODE\EDITLVL3 /BNZE >>CLPRODEF.LOG
IF NOT EXIST PROD_OBJ\CHM1LIB.OBJ  RMFORT \MINTEQA2\PRODCODE\CHM1LIB  /BNZE >>CLPRODEF.LOG
IF NOT EXIST PROD_OBJ\FUNLIB.OBJ   RMFORT \MINTEQA2\PRODCODE\FUNLIB   /BNZE >>CLPRODEF.LOG
IF NOT EXIST PROD_OBJ\MINVAL.OBJ   RMFORT \MINTEQA2\PRODCODE\MINVAL   /BNZE >>CLPRODEF.LOG
IF NOT EXIST PROD_OBJ\CLRSCR.OBJ   RMFORT \MINTEQA2\PRODCODE\CLRSCR   /BNZE >>CLPRODEF.LOG
IF NOT EXIST PROD_OBJ\EDITLVL4.OBJ RMFORT \MINTEQA2\PRODCODE\EDITLVL4 /BNZE >>CLPRODEF.LOG
IF NOT EXIST PROD_OBJ\CHM2LIB.OBJ  RMFORT \MINTEQA2\PRODCODE\CHM2LIB  /BNZE >>CLPRODEF.LOG
IF NOT EXIST PROD_OBJ\ADSLIB.OBJ   RMFORT \MINTEQA2\PRODCODE\ADSLIB   /BNZE >>CLPRODEF.LOG
REM
REM IF NOT EXIST PROD_OBJ\PRODEFA2.OBJ RMFORT \MINTEQA2\PRODCODE\PRODEFA2 /BNZUE
REM IF NOT EXIST PROD_OBJ\ADDSPE.OBJ RMFORT \MINTEQA2\PRODCODE\ADDSPE /BNZUE
REM IF NOT EXIST PROD_OBJ\ADSFILIN.OBJ RMFORT \MINTEQA2\PRODCODE\ADSFILIN /BNZUE
REM IF NOT EXIST PROD_OBJ\ADSINIT.OBJ RMFORT \MINTEQA2\PRODCODE\ADSINIT /BNZUE
REM IF NOT EXIST PROD_OBJ\ADSORB.OBJ RMFORT \MINTEQA2\PRODCODE\ADSORB /BNZUE
REM IF NOT EXIST PROD_OBJ\ADSREACT.OBJ RMFORT \MINTEQA2\PRODCODE\ADSREACT /BNZUE
REM IF NOT EXIST PROD_OBJ\CACALC.OBJ RMFORT \MINTEQA2\PRODCODE\CACALC /BNZUE
REM IF NOT EXIST PROD_OBJ\CATCID.OBJ RMFORT \MINTEQA2\PRODCODE\CATCID /BNZUE
REM IF NOT EXIST PROD_OBJ\CLRSCR.OBJ RMFORT \MINTEQA2\PRODCODE\CLRSCR /BNZUE
REM IF NOT EXIST PROD_OBJ\COMINC.OBJ RMFORT \MINTEQA2\PRODCODE\COMINC /BNZUE
REM IF NOT EXIST PROD_OBJ\CPRINT.OBJ RMFORT \MINTEQA2\PRODCODE\CPRINT /BNZUE
REM IF NOT EXIST PROD_OBJ\CWRITE.OBJ RMFORT \MINTEQA2\PRODCODE\CWRITE /BNZUE
REM IF NOT EXIST PROD_OBJ\DLTCOMP.OBJ RMFORT \MINTEQA2\PRODCODE\DLTCOMP /BNZUE
REM IF NOT EXIST PROD_OBJ\EDITLVL1.OBJ RMFORT \MINTEQA2\PRODCODE\EDITLVL1 /BNZUE
REM IF NOT EXIST PROD_OBJ\EDITLVL2.OBJ RMFORT \MINTEQA2\PRODCODE\EDITLVL2 /BNZUE
REM IF NOT EXIST PROD_OBJ\EDITLVL3.OBJ RMFORT \MINTEQA2\PRODCODE\EDITLVL3 /BNZUE
REM IF NOT EXIST PROD_OBJ\EDITLVL4.OBJ RMFORT \MINTEQA2\PRODCODE\EDITLVL4 /BNZUE
REM IF NOT EXIST PROD_OBJ\EXCLUDEE.OBJ RMFORT \MINTEQA2\PRODCODE\EXCLUDEE /BNZUE
REM IF NOT EXIST PROD_OBJ\FGUESS.OBJ RMFORT \MINTEQA2\PRODCODE\FGUESS /BNZUE
REM IF NOT EXIST PROD_OBJ\FINI.OBJ RMFORT \MINTEQA2\PRODCODE\FINI /BNZUE
REM IF NOT EXIST PROD_OBJ\FIXORDER.OBJ RMFORT \MINTEQA2\PRODCODE\FIXORDER /BNZUE
REM IF NOT EXIST PROD_OBJ\IDADSO.OBJ RMFORT \MINTEQA2\PRODCODE\IDADSO /BNZUE
REM IF NOT EXIST PROD_OBJ\IDCOMP.OBJ RMFORT \MINTEQA2\PRODCODE\IDCOMP /BNZUE
REM IF NOT EXIST PROD_OBJ\IDGASG.OBJ RMFORT \MINTEQA2\PRODCODE\IDGASG /BNZUE
REM IF NOT EXIST PROD_OBJ\IDMINE.OBJ RMFORT \MINTEQA2\PRODCODE\IDMINE /BNZUE
REM IF NOT EXIST PROD_OBJ\IDREDX.OBJ RMFORT \MINTEQA2\PRODCODE\IDREDX /BNZUE
REM IF NOT EXIST PROD_OBJ\IDSPEC.OBJ RMFORT \MINTEQA2\PRODCODE\IDSPEC /BNZUE
REM IF NOT EXIST PROD_OBJ\INCR.OBJ RMFORT \MINTEQA2\PRODCODE\INCR /BNZUE
REM IF NOT EXIST PROD_OBJ\INIT.OBJ RMFORT \MINTEQA2\PRODCODE\INIT /BNZUE
REM IF NOT EXIST PROD_OBJ\MINVAL.OBJ RMFORT \MINTEQA2\PRODCODE\MINVAL /BNZUE
REM IF NOT EXIST PROD_OBJ\MPORT123.OBJ RMFORT \MINTEQA2\PRODCODE\MPORT123 /BNZUE
REM IF NOT EXIST PROD_OBJ\NAMESP.OBJ RMFORT \MINTEQA2\PRODCODE\NAMESP /BNZUE
REM IF NOT EXIST PROD_OBJ\PECALC.OBJ RMFORT \MINTEQA2\PRODCODE\PECALC /BNZUE
REM IF NOT EXIST PROD_OBJ\PHCALC.OBJ RMFORT \MINTEQA2\PRODCODE\PHCALC /BNZUE
REM IF NOT EXIST PROD_OBJ\PRINTP.OBJ RMFORT \MINTEQA2\PRODCODE\PRINTP /BNZUE
REM IF NOT EXIST PROD_OBJ\READP.OBJ RMFORT \MINTEQA2\PRODCODE\READP /BNZUE
REM IF NOT EXIST PROD_OBJ\REAFIL.OBJ RMFORT \MINTEQA2\PRODCODE\REAFIL /BNZUE
REM IF NOT EXIST PROD_OBJ\SEARCH.OBJ RMFORT \MINTEQA2\PRODCODE\SEARCH /BNZUE
REM IF NOT EXIST PROD_OBJ\SITCOUNT.OBJ RMFORT \MINTEQA2\PRODCODE\SITCOUNT /BNZUE
REM IF NOT EXIST PROD_OBJ\SITE.OBJ RMFORT \MINTEQA2\PRODCODE\SITE /BNZUE
REM IF NOT EXIST PROD_OBJ\SPEADD.OBJ RMFORT \MINTEQA2\PRODCODE\SPEADD /BNZUE
REM IF NOT EXIST PROD_OBJ\SURFACE.OBJ RMFORT \MINTEQA2\PRODCODE\SURFACE /BNZUE
REM IF NOT EXIST PROD_OBJ\SWEEPR.OBJ RMFORT \MINTEQA2\PRODCODE\SWEEPR /BNZUE
REM IF NOT EXIST PROD_OBJ\SWPSTAT.OBJ RMFORT \MINTEQA2\PRODCODE\SWPSTAT /BNZUE
REM IF NOT EXIST PROD_OBJ\THCONST.OBJ RMFORT \MINTEQA2\PRODCODE\THCONST /BNZUE
REM IF NOT EXIST PROD_OBJ\WRADDS.OBJ RMFORT \MINTEQA2\PRODCODE\WRADDS /BNZUE
REM IF NOT EXIST PROD_OBJ\WRITEP.OBJ RMFORT \MINTEQA2\PRODCODE\WRITEP /BNZUE
@ECHO OFF
CLS
ECHO #
ECHO ##  PRODEFA2 compilation complete with Ryan-McFarland.FORTRAN.
ECHO #
ECHO #                                 >>CLPRODEF.LOG
ECHO ##  PRODEFA2 compilation complete.>>CLPRODEF.LOG
ECHO #                                 >>CLPRODEF.LOG
ECHO #                                 >>CLPRODEF.LOG
ECHO ##  End date and time.            >>CLPRODEF.LOG
ECHO #                                 >>CLPRODEF.LOG
ECHO # -------- DATE ---------         >>CLPRODEF.LOG
ECHO #                                 >>CLPRODEF.LOG
DATE <RETURN1.ANS |FIND "C"            >>CLPRODEF.LOG
ECHO #                                 >>CLPRODEF.LOG
ECHO # -------- TIME ---------         >>CLPRODEF.LOG
ECHO #                                 >>CLPRODEF.LOG
TIME <RETURN1.ANS |FIND "C"            >>CLPRODEF.LOG
ECHO #                                 >>CLPRODEF.LOG
ECHO # -----------------------         >>CLPRODEF.LOG
ECHO #                                 >>CLPRODEF.LOG
ECHO #
IF EXIST *.INC DEL *.INC
REM
IF NOT EXIST *.OBJ GOTO CONT
CLS
ECHO #
ECHO ##  Saving object code files (*.OBJ) to PROD_OBJ directory...wait.
ECHO #
COPY *.OBJ PROD_OBJ /V >NUL
DEL  *.OBJ >NUL
:CONT
CLS
SET \RMFORT.CER=
SET OBJ=E:\MINTEQA2\PROD_OBJ;F:\RMFORT\;D:\PLINK
REM
ECHO #
ECHO ##  Ready to link PRODEFA2.
ECHO #
ECHO #   Press the "<Enter>" key to continue.
REM PAUSE >NUL
CLS
ECHO #   
ECHO ##  Beginning PLINK86 for PRODEFA2 code...wait.
ECHO #   
ECHO #                                       >>CLPRODEF.LOG
ECHO ##  Beginning PLINK86 for PRODEFA2 code.>>CLPRODEF.LOG
ECHO #                                       >>CLPRODEF.LOG
ECHO #                                       >>CLPRODEF.LOG
ECHO ##  Begin date and time.                >>CLPRODEF.LOG
ECHO #                                       >>CLPRODEF.LOG
ECHO # -------- DATE ---------               >>CLPRODEF.LOG
ECHO #                                       >>CLPRODEF.LOG
DATE <RETURN1.ANS |FIND "C"                  >>CLPRODEF.LOG
ECHO #                                       >>CLPRODEF.LOG
ECHO # -------- TIME ---------               >>CLPRODEF.LOG
ECHO #                                       >>CLPRODEF.LOG
TIME <RETURN1.ANS |FIND "C"                  >>CLPRODEF.LOG
ECHO #                                       >>CLPRODEF.LOG
ECHO # -----------------------               >>CLPRODEF.LOG
ECHO #                                       >>CLPRODEF.LOG
ECHO #
CLS
IF NOT EXIST PROD_OBJ\*.OBJ GOTO NOLINK
@ECHO ON
IF NOT EXIST PRODEFA2.EXE PLINK86 VERBOSE NOBELL @PRODEFA2
@ECHO OFF
ECHO #
ECHO # -----------------
ECHO #   
ECHO ##  LINK complete for PRODEFA2 code.
ECHO #   
ECHO #                                   >>CLPRODEF.LOG
ECHO ##  Link complete for PRODEFA2 code.>>CLPRODEF.LOG
ECHO #                                   >>CLPRODEF.LOG
ECHO #                                   >>CLPRODEF.LOG
ECHO ##  End date and time.              >>CLPRODEF.LOG
ECHO #                                   >>CLPRODEF.LOG
ECHO # -------- DATE ---------           >>CLPRODEF.LOG
ECHO #                                   >>CLPRODEF.LOG
DATE <RETURN1.ANS |FIND "C"              >>CLPRODEF.LOG
ECHO #                                   >>CLPRODEF.LOG
ECHO # -------- TIME ---------           >>CLPRODEF.LOG
ECHO #                                   >>CLPRODEF.LOG
TIME <RETURN1.ANS |FIND "C"              >>CLPRODEF.LOG
ECHO #                                   >>CLPRODEF.LOG
ECHO # -----------------------           >>CLPRODEF.LOG
ECHO #                                   >>CLPRODEF.LOG
ECHO #   Press the "<Enter>" key to continue.
REM PAUSE >NUL
CLS
:NOLINK
ECHO #
ECHO ##  PRODEFA2 compilation/link complete...deleting work files...wait.
ECHO #
REM
SET OBJ=
IF EXIST *.OBJ DEL *.OBJ >NUL
REM
ECHO #                                               >>CLPRODEF.LOG
ECHO ##  PRODEFA2 CLPRODEF.BAT command file complete.>>CLPRODEF.LOG
ECHO #                                               >>CLPRODEF.LOG
ECHO #                                               >>CLPRODEF.LOG
ECHO ##  End date and time.                          >>CLPRODEF.LOG
ECHO #                                               >>CLPRODEF.LOG
ECHO # -------- DATE ---------                       >>CLPRODEF.LOG
ECHO #                                               >>CLPRODEF.LOG
DATE <RETURN1.ANS |FIND "C"                          >>CLPRODEF.LOG
ECHO #                                               >>CLPRODEF.LOG
ECHO # -------- TIME ---------                       >>CLPRODEF.LOG
ECHO #                                               >>CLPRODEF.LOG
TIME <RETURN1.ANS |FIND "C"                          >>CLPRODEF.LOG
ECHO #                                               >>CLPRODEF.LOG
ECHO # -----------------------                       >>CLPRODEF.LOG
ECHO #                                               >>CLPRODEF.LOG
ECHO #
REM
REM PRINT CLPRODEF.LOG <RETURN1.ANS >NUL
REM
CLS
ECHO #
ECHO ##  Compilation and link for all PRODEFA2 code complete.
ECHO #   Press "<Ctrl> <P>" if previously selected for printing.
ECHO #
ECHO #   Press the "<Enter>" key to continue.
REM PAUSE >NUL
CLS
ECHO #
ECHO ##  PRODEFA2 task image ready for test execution.
ECHO #   To execute, type PRODEFA2 at the DOS system
ECHO #   prompt, then press the "<Enter>" key.
ECHO #
REM
REM *********************************************************
REM *   End compile batch stream \MINTEQA2\CLPRODEF.BAT.    *
REM *********************************************************
