@ECHO OFF
CLS
ECHO #
ECHO ##  MINTEQA2 CLUNFRMT batch command file.
ECHO #
REM
ECHO #                                          >CLUNFRMT.LOG
ECHO ##  MINTEQA2 CLUNFRMT batch command file. >>CLUNFRMT.LOG
ECHO #   RMFORT FORTRAN version 2.45.          >>CLUNFRMT.LOG            
ECHO #                                         >>CLUNFRMT.LOG
GOTO START
REM 
REM  ***************** \MINTEQA2\CLUNFRMT.BAT *******************
REM  *                                                          *
REM  *        Author: D.W. Disney, Computer Scientist           *
REM  *                Computer Sciences Corporation             *
REM  *          Date: Friday, 14 June 1991.  Time: 07:22:44.    *
REM  *   Environment: IBM PS/2 Model 80 under DOS 3.30          *
REM  *  Installation: Computer Sciences Corporation             *
REM  *                U.S. Environmental Protection Agency      *
REM  *                Athens ERL - Athens, Georgia              *
REM  *      Function: To complile and link all FORTRAN 77       *
REM  *                source code *.FOR and include files       *
REM  *                (*.INC) for the UNFRMT program (v. 3.11). *
REM  *      Calling                                             *
REM  *      Sequence: CLUNFRMT                                  *
REM  *         Input: None                                      *
REM  *                                                          *
REM  ************************************************************
REM
REM **************************************************************
REM *         Maintenance History - \MINTEQA2\CLUNFRMT.BAT       *
REM *------------------------------------------------------------*
REM *                                                            *
REM *  1) Initial coding                                         *
REM *     Date: Monday, 9 September 1991.  Time: 11:49:45.       *
REM *                                                            *
REM **************************************************************
REM *                                                            *
REM *  Compile and link the UNFRMT program under Ryan-McFarland  *
REM *  FORTRAN (RMFORT) compiler and PLINK86 Plus link editor.   *
REM *                                                            *
REM *       Program     Version                                  *
REM *       -------     -------                                  *
REM *       RMFORT  -   2.45                                     *
REM *       PLINK86 -   2.24                                     *
REM *       PC DOS  -   3.30                                     *
REM *                                                            *
REM *  Author: D W Disney - 09/01/88 - CSC for US EPA            *
REM *                                                            *
REM **************************************************************
REM *  \MINTEQA2\CLUNFRMT.BAT                                    *
REM *------------------------------------------------------------*
REM *  The program assumes that                                  *
REM *                                                            *
REM *       1)  All RMFORT commands and files are stored in the  *
REM *           root sub-directory \RMFORT on drive F:.          *
REM *       2)  All PLINK86 Plus commands and files are in the   *
REM *           root sub-directory \PLINK on drive D:.           *
REM *       3)  All UNFRMT commands should be in the root sub-   *
REM *           directory \MINTEQA2.                             *
REM *       4)  All UNFRMT source code and source code include   *
REM *           files are stored in the \MINTEQA2 sub-directory  *
REM *           FRMTCODE.                                        *
REM *       5)  The compile (CLUNFRMT.BAT) and link edit command *
REM *           file (FRMT.LNK) are stored in the root           *
REM *           sub-directory \MINTEQA2.                         * 
REM *       6)  The UNFRMT object code files (*.OBJ) are in the  *
REM *           \MINTEQA2 sub-directory MINT_OBJ.                *
REM *                                                            *
REM **************************************************************
REM *                                                            *
REM *  Ryan-McFarland compiler switches (version 2.45).          *
REM *                                                            *
REM *  /B - Assume adjustable and assumed size arrays gt 64k     *
REM *  /D - Compile debug source code lines                      *
REM *  /E - Generate listing with error and warning lines only   *
REM *  /H - Dummy arrays lt 64k are stored in more than 1 segment*
REM *  /I - I2 for integer; I4 is the default                    *
REM *  /N - Generate calls to the emulator library               *
REM *  /Q - Suppress generation of individual program summaries  *
REM *  /U - Suppress object module file generation               *
REM *  /Z - Suppress code optimization                           *
REM *                                                            *
REM *  Ryan-McFarland execution command (version 2.45)           *
REM *                                                            *
REM *  progname [/R n] [/SEUFM]                                  *
REM *                                                            *
REM *  /SEUFM - Suppress display of certain underflow messages   * 
REM *                                                            *
REM **************************************************************
REM
:START
REM
ECHO #
ECHO ##  Setting system environment for RMFORT and PLINK.
ECHO #
REM
SET OBJ=
SET LIB=
SET TMP=
SET PROFORT=
SET INCLUDE=
REM PATH C:.;C:\;C:\PLINK;C:\RMFORT
SET \RMFORT.CER=F:\RMFORT\RMFORT.CER
SET \RMFORT.ERR=F:\RMFORT\RMFORT.ERR
REM
CLS
ECHO #
ECHO ##  Cleaning up extra work files...wait.
ECHO #
IF EXIST UNFRMT.MAP DEL UNFRMT.MAP >NUL
IF EXIST UNFRMT.EXE DEL UNFRMT.EXE >NUL
REM IF EXIST      *.LST DEL      *.LST >NUL
REM
IF NOT EXIST MINT_OBJ\NUL MKDIR MINT_OBJ >NUL
REM
IF "%1"=="Y" GOTO YESDEL
IF "%1"=="y" GOTO YESDEL
IF "%1"=="N" GOTO NODEL
IF "%1"=="n" GOTO NODEL
SET ANSWER=
ANSWER     Delete existing UNFRMT program object files (*.OBJ)? (Y/N) 
IF "%ANSWER%"=="N" GOTO NODEL
IF "%ANSWER%"=="n" GOTO NODEL
IF "%ANSWER%"==""  GOTO NODEL
:YESDEL
IF EXIST MINT_OBJ\UNFRMT.OBJ DEL MINT_OBJ\UNFRMT.OBJ >NUL
IF EXIST          UNFRMT.OBJ DEL          UNFRMT.OBJ >NUL
IF EXIST MINT_OBJ\ENQUIRE.OBJ DEL MINT_OBJ\ENQUIRE.OBJ >NUL
IF EXIST          ENQUIRE.OBJ DEL          ENQUIRE.OBJ >NUL
:NODEL
SET ANSWER=
REM
CLS
VERIFY OFF
BREAK ON
ECHO #
ECHO ##  Ready to begin UNFRMT compilation and link edit.
ECHO #   Press "<Ctrl> <P>" if you wish to echo the results to printer.
ECHO #
ECHO #   Press the "<Enter>" key to continue.
REM PAUSE >NUL
CLS
ECHO #
ECHO ##  Compile for UNFRMT in progress with Ryan-McFarland FORTRAN.
ECHO #
REM
ECHO #                                                        >>CLUNFRMT.LOG
ECHO ##  MINTEQA2 CLUNFRMT batch command file begin execution.>>CLUNFRMT.LOG
ECHO #                                                        >>CLUNFRMT.LOG
ECHO #                                                        >>CLUNFRMT.LOG
ECHO ## Start date and time.                                  >>CLUNFRMT.LOG
ECHO #                                                        >>CLUNFRMT.LOG
ECHO # -------- DATE ---------                                >>CLUNFRMT.LOG
ECHO #                                                        >>CLUNFRMT.LOG
DATE <RETURN1.ANS |FIND "C"                                   >>CLUNFRMT.LOG
ECHO #                                                        >>CLUNFRMT.LOG
ECHO # -------- TIME ---------                                >>CLUNFRMT.LOG
ECHO #                                                        >>CLUNFRMT.LOG
TIME <RETURN1.ANS |FIND "C"                                   >>CLUNFRMT.LOG
ECHO #                                                        >>CLUNFRMT.LOG
ECHO # -----------------------                                >>CLUNFRMT.LOG
ECHO #                                                        >>CLUNFRMT.LOG
CLS
@ECHO ON
IF NOT EXIST MINT_OBJ\UNFRMT.OBJ  RMFORT \MINTEQA2\FRMTCODE\UNFRMT.FTN /BNZE >>CLUNFRMT.LOG
IF NOT EXIST MINT_OBJ\ENQUIRE.OBJ RMFORT \MINTEQA2\MINTCODE\ENQUIRE    /BNZE >>CLUNFRMT.LOG
@ECHO OFF
CLS
ECHO #
ECHO ##  UNFRMT compilation complete with Ryan-McFarland.FORTRAN.
ECHO #
ECHO #                               >>CLUNFRMT.LOG
ECHO ## UNFRMT compilation complete. >>CLUNFRMT.LOG
ECHO #                               >>CLUNFRMT.LOG
ECHO #                               >>CLUNFRMT.LOG
ECHO ## End date and time.           >>CLUNFRMT.LOG
ECHO #                               >>CLUNFRMT.LOG
ECHO # -------- DATE ---------       >>CLUNFRMT.LOG
ECHO #                               >>CLUNFRMT.LOG
DATE <RETURN1.ANS |FIND "C"          >>CLUNFRMT.LOG
ECHO #                               >>CLUNFRMT.LOG
ECHO # -------- TIME ---------       >>CLUNFRMT.LOG
ECHO #                               >>CLUNFRMT.LOG
TIME <RETURN1.ANS |FIND "C"          >>CLUNFRMT.LOG
ECHO #                               >>CLUNFRMT.LOG
ECHO # -----------------------       >>CLUNFRMT.LOG
ECHO #                               >>CLUNFRMT.LOG
ECHO #
IF EXIST *.INC DEL *.INC
REM
IF NOT EXIST UNFRMT.OBJ GOTO CONT
CLS
ECHO #
ECHO #   Saving object code files (UNFRMT.OBJ) to MINT_OBJ directory...wait.
ECHO #
COPY UNFRMT.OBJ  MINT_OBJ /V >NUL
COPY ENQUIRE.OBJ MINT_OBJ /V >NUL
DEL  ENQUIRE.OBJ >NUL
DEL  UNFRMT.OBJ  >NUL
:CONT
CLS
SET \RMFORT.CER=
SET OBJ=E:\MINTEQA2\MINT_OBJ;F:\RMFORT\;D:\PLINK
REM
ECHO #
ECHO ##  Ready to link UNFRMT.
ECHO #
ECHO #   Press the "<Enter>" key to continue.
REM PAUSE >NUL
CLS
ECHO #   
ECHO ##  Beginning PLINK86 for UNFRMT code...wait.
ECHO #   
ECHO #                                     >>CLUNFRMT.LOG
ECHO ## Beginning PLINK86 for UNFRMT code. >>CLUNFRMT.LOG
ECHO #                                     >>CLUNFRMT.LOG
ECHO #                                     >>CLUNFRMT.LOG
ECHO ## Begin date and time.               >>CLUNFRMT.LOG
ECHO #                                     >>CLUNFRMT.LOG
ECHO # -------- DATE ---------             >>CLUNFRMT.LOG
ECHO #                                     >>CLUNFRMT.LOG
DATE <RETURN1.ANS |FIND "C"                >>CLUNFRMT.LOG
ECHO #                                     >>CLUNFRMT.LOG
ECHO # -------- TIME ---------             >>CLUNFRMT.LOG
ECHO #                                     >>CLUNFRMT.LOG
TIME <RETURN1.ANS |FIND "C"                >>CLUNFRMT.LOG
ECHO #                                     >>CLUNFRMT.LOG
ECHO # -----------------------             >>CLUNFRMT.LOG
ECHO #                                     >>CLUNFRMT.LOG
ECHO #
CLS
IF NOT EXIST MINT_OBJ\UNFRMT.OBJ GOTO NOLINK
@ECHO ON
IF NOT EXIST UNFRMT.EXE PLINK86 VERBOSE NOBELL @UNFRMT
@ECHO OFF
ECHO #
ECHO # -----------------
ECHO #   
ECHO ##  LINK complete for UNFRMT code.
ECHO #   
ECHO #                                 >>CLUNFRMT.LOG
ECHO ## Link complete for UNFRMT code. >>CLUNFRMT.LOG
ECHO #                                 >>CLUNFRMT.LOG
ECHO #                                 >>CLUNFRMT.LOG
ECHO ## End date and time.             >>CLUNFRMT.LOG
ECHO #                                 >>CLUNFRMT.LOG
ECHO # -------- DATE ---------         >>CLUNFRMT.LOG
ECHO #                                 >>CLUNFRMT.LOG
DATE <RETURN1.ANS |FIND "C"            >>CLUNFRMT.LOG
ECHO #                                 >>CLUNFRMT.LOG
ECHO # -------- TIME ---------         >>CLUNFRMT.LOG
ECHO #                                 >>CLUNFRMT.LOG
TIME <RETURN1.ANS |FIND "C"            >>CLUNFRMT.LOG
ECHO #                                 >>CLUNFRMT.LOG
ECHO # -----------------------         >>CLUNFRMT.LOG
ECHO #                                 >>CLUNFRMT.LOG
ECHO #   Press the "<Enter>" key to continue.
REM PAUSE >NUL
CLS
:NOLINK
ECHO #
ECHO ##  UNFRMT compilation/link complete...deleting work files...wait.
ECHO #
REM
SET OBJ=
IF EXIST  UNFRMT.OBJ DEL  UNFRMT.OBJ >NUL
IF EXIST ENQUIRE.OBJ DEL ENQUIRE.OBJ >NUL
REM
ECHO #                                               >>CLUNFRMT.LOG
ECHO ## MINTEQA2 CLUNFRMT.BAT command file complete. >>CLUNFRMT.LOG
ECHO #                                               >>CLUNFRMT.LOG
ECHO #                                               >>CLUNFRMT.LOG
ECHO ## End date and time.                           >>CLUNFRMT.LOG
ECHO #                                               >>CLUNFRMT.LOG
ECHO # -------- DATE ---------                       >>CLUNFRMT.LOG
ECHO #                                               >>CLUNFRMT.LOG
DATE <RETURN1.ANS |FIND "C"                          >>CLUNFRMT.LOG
ECHO #                                               >>CLUNFRMT.LOG
ECHO # -------- TIME ---------                       >>CLUNFRMT.LOG
ECHO #                                               >>CLUNFRMT.LOG
TIME <RETURN1.ANS |FIND "C"                          >>CLUNFRMT.LOG
ECHO #                                               >>CLUNFRMT.LOG
ECHO # -----------------------                       >>CLUNFRMT.LOG
ECHO #                                               >>CLUNFRMT.LOG
ECHO #
REM
REM PRINT CLUNFRMT.LOG <RETURN1.ANS >NUL
REM
CLS
ECHO #
ECHO ##  Compilation and link for all UNFRMT code complete.
ECHO #   Press "<Ctrl> <P>" if previously selected for printing.
ECHO #
ECHO #   Press the "<Enter>" key to continue.
REM PAUSE >NUL
CLS
ECHO #
ECHO ##  UNFRMT task image ready for test execution.
ECHO #   To execute, type UNFRMT at the DOS system
ECHO #   prompt, then press the "<Enter>" key.
ECHO #
REM
REM *************************************************************
REM *       End compile batch stream \MINTEQA2\CLUNFRMT.BAT.    *
REM *************************************************************
